## com.fasterxml.jackson.databind.ext
Class JodaSerializers.JodaSerializer<T>

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ext.JodaSerializers.JodaSerializer<T>

All Implemented Interfaces:
  SchemaAware

Direct Known Subclasses:
  JodaSerializers.DateMidnightSerializer, JodaSerializers.DateTimeSerializer, JodaSerializers.LocalDateSerializer, JodaSerializers.LocalDateTimeSerializer

Enclosing class:
  JodaSerializers

    protected abstract static class JodaSerializers.JodaSerializer<T>

extends StdSerializer<T>

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`protected` `JodaSerializers.JodaSerializer(Class<T> cls)`

Method Summary
`protected String` `printLocalDate(org.joda.time.ReadableInstant dateValue)`
`protected String` `printLocalDate(org.joda.time.ReadablePartial dateValue)`
`protected String` `printLocalDateTime(org.joda.time.ReadablePartial dateValue)`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`createObjectNode, createSchemaNode, createSchemaNode, getSchema, handledType, isDefaultSerializer, serialize, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`isEmpty, isUnwrappingSerializer, serializeWithType, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JodaSerializers.JodaSerializer

    protected JodaSerializers.JodaSerializer(Class<T> cls)

Method Detail

### printLocalDateTime

    protected String printLocalDateTime(org.joda.time.ReadablePartial dateValue)
                                 throws IOException,
                                        com.fasterxml.jackson.core.JsonProcessingException

  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonProcessingException`

### printLocalDate

    protected String printLocalDate(org.joda.time.ReadablePartial dateValue)
                             throws IOException,
                                    com.fasterxml.jackson.core.JsonProcessingException

  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonProcessingException`

### printLocalDate

    protected String printLocalDate(org.joda.time.ReadableInstant dateValue)
                             throws IOException,
                                    com.fasterxml.jackson.core.JsonProcessingException

  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonProcessingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.